<p class="text-center m-2">
  {% if pratica.servizio.isProtocolRequired %}
    {% set button_text = 'operatori.scarica_richiesta_protocollata'|trans %}
  {% else %}
    {% set button_text = 'operatori.scarica_ricevuta'|trans %}
  {% endif %}

  {% set attachment = pratica.moduliCompilati|first %}
  {% if pratica.numeroProtocollo %}
    <a href="{{ path('print_pratiche', {'pratica': pratica}) }}" class="btn btn-primary" download>
      <i class="fa fa-download"></i>
      {{ button_text }}
    </a>
  {% else %}
    <a href="{{ path('allegati_download', {'allegato': attachment.id}) }}" class="btn btn-primary" download>
      <i class="fa fa-download"></i>
      {{ button_text }}
    </a>
  {% endif %}
</p>
